﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjektStatki
{
    public abstract class Character : GameObject
    {
        protected List<Cannon> cannons;
        protected Cannon activeCannon;
        protected float rotation = 0;
        protected double xVelocity;
        protected double yVelocity;
        protected int speed;
        protected int health;
        public int xTile;
        public int yTile;
        public int Health { get => health; set => health = value; }

        protected abstract void HandleObjectsCollision();
        protected abstract void HandleCannnon();
    }
}
